 /*
 * 74cms 下拉
 * ============================================================================
 * 版权所有: 骑士网络，并保留所有权利。
 * 网站地址: http://www.74cms.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/

// 个人会员中心首页简历可见度下拉
function visibilityDrop(clickid, resultshowid,site_dir) {
	$(clickid).unbind().on("click", function() {
		if($(this).hasClass('drop-checked')) {
			clearmenu();
		} else {
			$(this).addClass('drop-checked');
			$("body").append("<div class=\"doc_bg_layer\"></div>");
			$(".doc_bg_layer").css({ width: $(document).width()-100, height: $(document).height(), position: "absolute", left:"0", top:"0", "z-index":"0", "background-color":"#000000", opacity:"0"});
			$(clickid).next().show();
			$(clickid).next().find('a').unbind().on("click", function() {
				$(clickid).next().find('a').each(function(index, el) {
					$(this).removeClass('selected');
				});
				$(this).addClass('selected');
				var optid = $(this).attr("dataid");
				var optval = $(this).attr("title");
				$(resultshowid).attr("title", optval).html(optval);
				$.post(site_dir+"user/personal/personal_ajax.php?act=set_visibility",{visibility:optid},function(result){   
					if(result=="1"){
						alert("设置成功"); 
					}else{
						alert("设置失败");
					}
				});
				clearmenu();
			});
		}
		$(".doc_bg_layer").click(function() {
			clearmenu();
		});
		// 关闭下拉 移除背景
		function clearmenu(){
			$(clickid).removeClass('drop-checked');
			$(".droplist").hide();
			$(".doc_bg_layer").remove();
		}
	});
}
// 下拉(表单提交)
function dropdownform(clickid, resultshowid, hiddeninputid, hiddeninputcn) {
	var haval = $(hiddeninputid).val();
	if(haval) {
		var _par = $(clickid).parent();
		var ha_array = _par.next().find('a');
		$.each(ha_array, function() {
			if(haval == $(this).attr("dataid")) {
				var hatitle = $(this).attr("title");
				$(resultshowid).attr("title", hatitle).find("span").html(hatitle);
				$(hiddeninputcn).val(hatitle);
			}
		});
	}
	$(clickid).unbind().on("click", function() {
		$(".droplist").hide();
		var _obj = $(this).parent();
		if(_obj.hasClass('drop-checked')) {
			clearmenu();
		} else {
			_obj.addClass('drop-checked');
			$("body").append("<div class=\"doc_bg_layer\"></div>");
			$(".doc_bg_layer").css({ width: $(document).width()-100, height: $(document).height(), position: "absolute", left:"0", top:"0", "z-index":"0", "background-color":"#000000", opacity:"0"});
			_obj.next().show();
			_obj.next().find('a').click(function() {
				_obj.next().find('a').each(function(index, el) {
					$(this).removeClass('selected');
				});
				$(this).addClass('selected');
				var optid = $(this).attr("dataid");
				var optval = $(this).attr("title");
				$(resultshowid).attr("title", optval).find("span").html(optval);
				$(hiddeninputid).val(optid);
				$(hiddeninputcn).val(optval);
				clearmenu();
				searcHistory();
			});
		}
		$(".doc_bg_layer").click(function() {
			clearmenu();
		});
		// 关闭下拉 移除背景
		function clearmenu(){
			_obj.removeClass('drop-checked');
			$(".droplist").hide();
			$(".doc_bg_layer").remove();
		}
	});
};
//checkboxui 全选单选
function checkboxui() {
	$('.table :checkbox').CheckboxUI();
	var che_tbody = $('.table tbody td :checkbox');
	if(che_tbody.length < 1){
		return false;
	}
	$('.table tfoot td :checkbox').CheckboxRelated(che_tbody).CheckboxRelated("clone", '.table thead th :checkbox');
	setTimeout(function(){$('.table :checkbox').CheckboxUI("refresh");},400);
}
// 更多筛选下拉
function moreFilters (hoverID, optID, optCN) {
	var recover_val = $(optID).val();
	if (recover_val) {
		$(hoverID + " ul a").each(function() {
			if(recover_val == $(this).attr("dataid")) {
				$(this).addClass('cho');
				$(this).parent().parent().prev().addClass('selected');
				$(optCN).val($(this).attr("title"));
			}
		})
	}
	$(hoverID).hover(function() {
		var fdiv = $(this);
		fdiv.addClass('filter_menu_select');
		var ful = $(this).find('ul');
		ful.show();
		ful.find('a').click(function() {
			ful.find('a').removeClass('cho');
			$(optID).val($(this).attr("dataid"));
			$(optCN).val($(this).attr("title"));
			$(this).addClass('cho');
			fdiv.find("span").addClass('selected');
			ful.hide();
			searcHistory();
		});
	}, function() {
		$(this).removeClass('filter_menu_select');
		$(this).find('ul').hide();
	});
}
/*有关搜索页面列出当前搜索条件*/
function searcHistory() {
	if($("#search_history")) {
		var history_input_array = $("#search_history").find('input'),
			history_array = new Array(),
			historyhtm = '';
		$.each(history_input_array, function(index, val) {
			if ($(this).val()) {
				history_array.push($(this).val());
			}
		});
		history_array.length > 0 ? historyhtm += '当前搜索条件：' : historyhtm += '';
		for (var i = 0; i < history_array.length; i++) {
			historyhtm += history_array[i];
			i+1 == history_array.length ? historyhtm += "" : historyhtm += " + ";
		};
		$("#search_history").find('span').html(historyhtm);
	}
}